Skip to main content
GET
/
nodes
/
{nodeId}
/
versions
List all versions of a node
curl --request GET \
  --url https://api.comfy.org/nodes/{nodeId}/versions
import requests

url = "https://api.comfy.org/nodes/{nodeId}/versions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.comfy.org/nodes/{nodeId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "changelog": "<string>",
    "comfy_node_extract_status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "dependencies": [
      "<string>"
    ],
    "deprecated": true,
    "downloadUrl": "<string>",
    "id": "<string>",
    "node_id": "<string>",
    "status_reason": "<string>",
    "supported_accelerators": [
      "<string>"
    ],
    "supported_comfyui_frontend_version": "<string>",
    "supported_comfyui_version": "<string>",
    "supported_os": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ],
    "tags_admin": [
      "<string>"
    ],
    "version": "<string>"
  }
]
{
"error": "<string>",
"message": "<string>"
}
{
"details": [
"<string>"
],
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

nodeId
string
required

Query Parameters

statuses
enum<string>[]
Available options:
NodeVersionStatusActive,
NodeVersionStatusDeleted,
NodeVersionStatusBanned,
NodeVersionStatusPending,
NodeVersionStatusFlagged
include_status_reason
boolean
default:false

Response

List of all node versions

changelog
string

Summary of changes made in this version

comfy_node_extract_status
string

The status of comfy node extraction process.

createdAt
string<date-time>

The date and time the version was created.

dependencies
string[]

A list of pip dependencies required by the node.

deprecated
boolean

Indicates if this version is deprecated.

downloadUrl
string

[Output Only] URL to download this version of the node

id
string
node_id
string

The unique identifier of the node.

status
enum<string>
Available options:
NodeVersionStatusActive,
NodeVersionStatusDeleted,
NodeVersionStatusBanned,
NodeVersionStatusPending,
NodeVersionStatusFlagged
status_reason
string
supported_accelerators
string[]

List of accelerators (e.g. CUDA, DirectML, ROCm) that this node supports

supported_comfyui_frontend_version
string

Supported versions of ComfyUI frontend

supported_comfyui_version
string

Supported versions of ComfyUI

supported_os
string[]

List of operating systems that this node supports

tags
string[]
tags_admin
string[]

Admin-only tags for security warnings and admin metadata

version
string

The version identifier, following semantic versioning. Must be unique for the node.